Name: iptables
Summary: Tools for managing Linux kernel packet filtering capabilities.
Version: 1.2.1a
Release: 1_nw1
Source: http://netfilter.kernelnotes.org/%{name}-%{version}.tar.bz2
Group: System Environment/Base
URL: http://netfilter.kernelnotes.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildPrereq: /usr/bin/perl
Requires: kernel >= 2.4.0
Prefix: %{_prefix}

%description
The iptables utility controls the network packet filtering code in the
Linux kernel.  If you need to set up firewalls and/or IP masquerading,
you should install this package.

%prep
rm -rf %{buildroot}

%setup -q
perl -pi -e "s,/usr/local,%{prefix},g" * */*

%build
make COPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=%{buildroot} BINDIR=/sbin MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root,0755)
/sbin/iptables
%{_mandir}/*/*
%dir %{prefix}/lib/iptables
%{prefix}/lib/iptables/*

%changelog
* Tue Mar 27 2001 Rod m. Stewart <stewart@netwinder.org>
- update to release: 1.2.1a

* Sun Nov 05 2000 Rod m. Stewart <stewart@netwinder.org>
- update to office release 1.1.2
- 1_nw2

* Tue Sep 26 2000 Rod m. Stewart <stewart@netwinder.org>
- update to today's version from CVS of netfilter
- only package the userspace stuff
- based off of Red Hat's version iptables-1.1.1-2.src.rpm
- version 1.1.2-0_nw1 (not really 1.1.2 yet...)
- do not apply patch: iptables-nopatchcheck.patch

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- build everywhere

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move iptables to /sbin.
- excludearch alpha for now, not building there because of compiler bug(?)

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- don't obsolete ipchains either
- update to 1.1.0

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- remove explicit kernel requirement

* Tue May  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial package
